<?php
$newContentData = [];

$newContentData['count'] = $request->get('count');
$count = intval($newContentData['count']);

for ($i = 0; $i < $count; $i++) {
    $newContentData['item_' . $i . '_date'] = $request->get('item_' . $i . '_date');
    $newContentData['item_' . $i . '_days'] = $request->get('item_' . $i . '_days');
    $newContentData['item_' . $i . '_related_to'] = $request->get('item_' . $i . '_related_to');
    $newContentData['item_' . $i . '_procedure'] = $request->get('item_' . $i . '_procedure');
    $newContentData['item_' . $i . '_status'] = $request->get('item_' . $i . '_status');
    $newContentData['item_' . $i . '_comments'] = $request->get('item_' . $i . '_comments');
}

